<!DOCTYPE html>
<html>
  <head>
    <title>Mapa interactivo</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="leaflet.css">
    <style>
      #map {
        height: 1000px;
      }
    </style>
  </head>
  <body>
    <div id="map"></div>
    <script src="leaflet.js"></script>
    <script>
      var mymap = L.map('map').setView([40.416775, -3.703790], 8);
      
      L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        attribution: 'Map data © <a href="https://openstreetmap.org">OpenStreetMap</a> contributors',
        maxZoom: 18
      }).addTo(mymap);
      


        var marker = L.marker([0, 0]).addTo(mymap);
        
        mymap.on('click', function(e) {
        alert('Latitud: ' + e.latlng.lat + '\nLongitud: ' + e.latlng.lng);

          // Actualizar la ubicación del marcador
          marker.setLatLng(e.latlng);
        });
      </script>
      
    
  </body>
</html>
